# Visualization
TKService
Xw

# Xw_ListOfIndexs Class Reference

`#include <Xw_ListOfIndexs.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Xw_ListOfIndexs (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Xw_ListOfIndexs (const Standard_Integer &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Standard_Integer &V)
Standard_EXPORT void | Destroy ()
| ~Xw_ListOfIndexs ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const Xw_ListOfIndexs & | Assign (const Xw_ListOfIndexs &Other)
const Xw_ListOfIndexs & | operator= (const Xw_ListOfIndexs &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Standard_Integer &Value)
const Standard_Integer & | Value (const Standard_Integer Index) const
const Standard_Integer & | operator() (const Standard_Integer Index) const
Standard_Integer & | ChangeValue (const Standard_Integer Index)
Standard_Integer & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | Xw_ListOfIndexs (const Xw_ListOfIndexs &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT Xw_ListOfIndexs::Xw_ListOfIndexs | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Xw_ListOfIndexs::Xw_ListOfIndexs | ( | const Standard_Integer & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Xw_ListOfIndexs::~Xw_ListOfIndexs | ( |  | ) | `[inline]`

Standard_EXPORT Xw_ListOfIndexs::Xw_ListOfIndexs | ( | const Xw_ListOfIndexs & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const Xw_ListOfIndexs& Xw_ListOfIndexs::Assign | ( | const Xw_ListOfIndexs & | Other | ) |

Standard_Integer& Xw_ListOfIndexs::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Xw_ListOfIndexs::Destroy | ( |  | ) |

Standard_EXPORT void Xw_ListOfIndexs::Init | ( | const Standard_Integer & | V | ) |

Standard_Boolean Xw_ListOfIndexs::IsAllocated | ( |  | ) | const

Standard_Integer Xw_ListOfIndexs::Length | ( |  | ) | const

Standard_Integer Xw_ListOfIndexs::Lower | ( |  | ) | const

void Xw_ListOfIndexs::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Xw_ListOfIndexs::operator new | ( | size_t | size | ) | `[inline]`

void* Xw_ListOfIndexs::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer& Xw_ListOfIndexs::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Standard_Integer& Xw_ListOfIndexs::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Xw_ListOfIndexs& Xw_ListOfIndexs::operator= | ( | const Xw_ListOfIndexs & | Other | ) | `[inline]`

void Xw_ListOfIndexs::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Integer & | Value
| ) |

Standard_Integer Xw_ListOfIndexs::Upper | ( |  | ) | const

const Standard_Integer& Xw_ListOfIndexs::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean Xw_ListOfIndexs::isAllocated `[private]`

Standard_Integer Xw_ListOfIndexs::myLowerBound `[private]`

Standard_Address Xw_ListOfIndexs::myStart `[private]`

Standard_Integer Xw_ListOfIndexs::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- Xw_ListOfIndexs.hxx